Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Class IllegalStateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.appflow.exception.ProcessingException
                              |
                              +--examples.e2e.common.E2EProcessingException
                                    |
                                    +--examples.e2e.common.IllegalStateException

public class IllegalStateException
extends E2EProcessingException

This exception indicates that an illegal state exists in the application. Generally this exception is used when the client (browser) is out of sync with the server (session).

See Also:
  Serialized Form

Constructor Summary
`IllegalStateException()`
`IllegalStateException(java.lang.String message)`
`IllegalStateException(java.lang.String message, java.lang.Throwable embeddedException)`
`IllegalStateException(java.lang.Throwable embeddedException)`

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalStateException

    public IllegalStateException()

### IllegalStateException

    public IllegalStateException(java.lang.String message)

### IllegalStateException

    public IllegalStateException(java.lang.String message,
                                 java.lang.Throwable embeddedException)

### IllegalStateException

    public IllegalStateException(java.lang.Throwable embeddedException)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved